import ajax from '../../util/ajax'
import api from '../../util/api'

export default {
  namespaced: true,
  state: {
    vipList: [],
  },
  mutations: {
    updateList (state, payload) {
      state.vipList = payload || []
    },
  },
  actions: {
    GetVipList ({ commit }, payload) {
      return new Promise((resolve, reject) => {
        ajax(api.cardManager.viplist.url, {
          method: api.cardManager.viplist.method,
          queryData: {
            ...payload,
          }
        }).then(res => {
          commit('updateList', res)
          resolve(res)
        }).catch(reject)
      })
    },
    AddVip ({ commit }, payload) {
      return new Promise((resolve, reject) => {
        ajax(api.cardManager.vipadd.url, {
          method: api.cardManager.vipadd.method,
          data: {
            ...payload,
          }
        }).then(res => {
          resolve(res)
        }).catch(reject)
      })
    }
  }
}
